Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools
Class FileSystemCompiler

    java.lang.Object
      org.codehaus.groovy.tools.FileSystemCompiler

    public class FileSystemCompiler

extends Object

Command-line compiler (aka. `groovyc`).

Version:
  $Id: FileSystemCompiler.java 10917 2008-02-23 22:11:37Z paulk $

Constructor Summary
`FileSystemCompiler(CompilerConfiguration configuration)`

Method Summary
`static int` | `checkFiles(String[] filenames)`
`void` | `compile(File[] files)`
`void` | `compile(String[] paths)`
`static void` | `displayHelp(org.apache.commons.cli.Options options)`
`static void` | `displayVersion()`
`static void` | `main(String[] args)` Primary entry point for compiling from the command line (using the groovyc script).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileSystemCompiler

    public FileSystemCompiler(CompilerConfiguration configuration)
                       throws ConfigurationException

Throws:
  `ConfigurationException`

Method Detail

### compile

    public void compile(String[] paths)
                 throws Exception

  Throws:
    `Exception`

### compile

    public void compile(File[] files)
                 throws Exception

  Throws:
    `Exception`

### displayHelp

    public static void displayHelp(org.apache.commons.cli.Options options)

### displayVersion

    public static void displayVersion()

### checkFiles

    public static int checkFiles(String[] filenames)

### main

    public static void main(String[] args)

  Primary entry point for compiling from the command line (using the groovyc script).

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD